package com.ruixuan.isc.entity;


import java.math.BigDecimal;

import com.ruixuan.common.annotation.Excel;
import com.ruixuan.common.core.domain.BaseEntity;
/**
 * 【请填写功能名称】对象 kuaishou_rule_settlement_data
 *
 * @author ruoyi
 * @date 2023-05-16
 */
public class KuaishouRuleSettlementData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 规则ID
     */
    private Long id;

    /**
     * 规则id
     */
    @Excel(name = "规则id")
    private Long ruleId;
    private Integer ruleType;

    /**
     * 规则名称
     */
    @Excel(name = "规则名称")
    private String ruleName;

    /**
     * 命中子规则id
     */
    @Excel(name = "命中子规则id")
    private Long sonRuleId;

    /**
     * 关联商品ID
     */
    @Excel(name = "关联商品ID")
    private Long relateId;

    /**
     * 商品id
     */
    @Excel(name = "商品id")
    private String itemIds;

    /**
     * 达人ID
     */
    @Excel(name = "达人ID")
    private Long promoterId;

    /**
     * 达人名称
     */
    @Excel(name = "达人名称")
    private String promoterName;

    /**
     * 商品创建人ID
     */
    @Excel(name = "商品创建人ID")
    private Long itemCreateId;

    /**
     * 商品创建人姓名
     */
    @Excel(name = "商品创建人姓名")
    private String itemCreateName;

    /**
     * 达人创建人ID
     */
    @Excel(name = "达人创建人ID")
    private Long promoterCreateId;

    /**
     * 达人创建人姓名
     */
    @Excel(name = "达人创建人姓名")
    private String promoterCreateName;

    /**
     * 订单数
     */
    @Excel(name = "订单数")
    private Long orderNum;

    /**
     * 有效订单数
     */
    @Excel(name = "有效订单数")
    private Long validOrderNum;

    /**
     * 昨日订单数
     */
    @Excel(name = "昨日订单数")
    private Long yesterdayOrderNum;

    /**
     * 昨日有效订单数
     */
    @Excel(name = "昨日有效订单数")
    private Long yesterdayValidOrderNum;

    /**
     * 日期
     */
    @Excel(name = "日期")
    private Long  statDate;

    /**
     * 主播奖励金额
     */
    @Excel(name = "主播奖励金额")
    private BigDecimal anchorAmount;

    /**
     * 推荐人奖励金额
     */
    @Excel(name = "推荐人奖励金额")
    private BigDecimal referenceAmount;

    /**
     * 结算状态 1：未达到激励 2：待结算 3：已结算
     */
    @Excel(name = "结算状态 1：未达到激励 2：待结算 3：已结算")
    private Integer settlementStatus;

    private Long lastSettlementOrderNum;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRuleId() {
        return ruleId;
    }

    public void setRuleId(Long ruleId) {
        this.ruleId = ruleId;
    }

    public Integer getRuleType() {
        return ruleType;
    }

    public void setRuleType(Integer ruleType) {
        this.ruleType = ruleType;
    }

    public String getRuleName() {
        return ruleName;
    }

    public void setRuleName(String ruleName) {
        this.ruleName = ruleName;
    }

    public Long getSonRuleId() {
        return sonRuleId;
    }

    public void setSonRuleId(Long sonRuleId) {
        this.sonRuleId = sonRuleId;
    }

    public Long getRelateId() {
        return relateId;
    }

    public void setRelateId(Long relateId) {
        this.relateId = relateId;
    }

    public String getItemIds() {
        return itemIds;
    }

    public void setItemIds(String itemIds) {
        this.itemIds = itemIds;
    }

    public Long getPromoterId() {
        return promoterId;
    }

    public void setPromoterId(Long promoterId) {
        this.promoterId = promoterId;
    }

    public String getPromoterName() {
        return promoterName;
    }

    public void setPromoterName(String promoterName) {
        this.promoterName = promoterName;
    }

    public Long getItemCreateId() {
        return itemCreateId;
    }

    public void setItemCreateId(Long itemCreateId) {
        this.itemCreateId = itemCreateId;
    }

    public String getItemCreateName() {
        return itemCreateName;
    }

    public void setItemCreateName(String itemCreateName) {
        this.itemCreateName = itemCreateName;
    }

    public Long getPromoterCreateId() {
        return promoterCreateId;
    }

    public void setPromoterCreateId(Long promoterCreateId) {
        this.promoterCreateId = promoterCreateId;
    }

    public String getPromoterCreateName() {
        return promoterCreateName;
    }

    public void setPromoterCreateName(String promoterCreateName) {
        this.promoterCreateName = promoterCreateName;
    }

    public Long getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Long orderNum) {
        this.orderNum = orderNum;
    }

    public Long getValidOrderNum() {
        return validOrderNum;
    }

    public void setValidOrderNum(Long validOrderNum) {
        this.validOrderNum = validOrderNum;
    }

    public Long getYesterdayOrderNum() {
        return yesterdayOrderNum;
    }

    public void setYesterdayOrderNum(Long yesterdayOrderNum) {
        this.yesterdayOrderNum = yesterdayOrderNum;
    }

    public Long getYesterdayValidOrderNum() {
        return yesterdayValidOrderNum;
    }

    public void setYesterdayValidOrderNum(Long yesterdayValidOrderNum) {
        this.yesterdayValidOrderNum = yesterdayValidOrderNum;
    }

    public Long getStatDate() {
        return statDate;
    }

    public void setStatDate(Long statDate) {
        this.statDate = statDate;
    }

    public BigDecimal getAnchorAmount() {
        return anchorAmount;
    }

    public void setAnchorAmount(BigDecimal anchorAmount) {
        this.anchorAmount = anchorAmount;
    }

    public BigDecimal getReferenceAmount() {
        return referenceAmount;
    }

    public void setReferenceAmount(BigDecimal referenceAmount) {
        this.referenceAmount = referenceAmount;
    }

    public Integer getSettlementStatus() {
        return settlementStatus;
    }

    public void setSettlementStatus(Integer settlementStatus) {
        this.settlementStatus = settlementStatus;
    }

    public Long getLastSettlementOrderNum() {
        return lastSettlementOrderNum;
    }

    public void setLastSettlementOrderNum(Long lastSettlementOrderNum) {
        this.lastSettlementOrderNum = lastSettlementOrderNum;
    }

    @Override
    public String toString() {
        return "KuaishouRuleSettlementData{" +
                "id=" + id +
                ", ruleId=" + ruleId +
                ", ruleType=" + ruleType +
                ", ruleName='" + ruleName + '\'' +
                ", sonRuleId=" + sonRuleId +
                ", relateId=" + relateId +
                ", itemIds='" + itemIds + '\'' +
                ", promoterId=" + promoterId +
                ", promoterName='" + promoterName + '\'' +
                ", itemCreateId=" + itemCreateId +
                ", itemCreateName='" + itemCreateName + '\'' +
                ", promoterCreateId=" + promoterCreateId +
                ", promoterCreateName='" + promoterCreateName + '\'' +
                ", orderNum=" + orderNum +
                ", validOrderNum=" + validOrderNum +
                ", yesterdayOrderNum=" + yesterdayOrderNum +
                ", yesterdayValidOrderNum=" + yesterdayValidOrderNum +
                ", statDate=" + statDate +
                ", anchorAmount=" + anchorAmount +
                ", referenceAmount=" + referenceAmount +
                ", settlementStatus=" + settlementStatus +
                ", lastSettlementOrderNum=" + lastSettlementOrderNum +
                '}';
    }
}
